package cn.axzo.msg.center.service.pending.response.v3.model;

import cn.axzo.msg.center.service.util.MiscUtils2;
import cn.axzo.trade.datasecurity.sd.extension.annotation.SDCellPhoneField;
import com.alibaba.fastjson.JSON;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;

/**
 * @author yanglin
 */
@Setter
@Getter
public class PersonInfo {
    /**
     * 用户姓名
     */
    private String realName;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 手机号, 未加密
     */
    @SDCellPhoneField
    private String mobilePhone;

    /**
     * 加密手机号
     */
    private String mobilePhoneCiphertext;

    @JsonIgnore
    public String getPlainPersonInfo() {
        return String.format("%s(%s)", getRealName(), maskPhone());
    }

    private String maskPhone() {
        return MiscUtils2.maskPhone(mobilePhone);
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}